API referenceGenerations
List generations
GET
bearerAuthheader
AuthorizationBearer <token>API key, e.g. rf_live_3f9k2q_….
limit?integerRange
1 <= value <= 100Default
20cursor?stringstatus?stringValue in
"queued""submitting""running""finalizing""succeeded""failed""canceled"model?stringA page of generations, newest first.
application/json- response
object*unknowndata*array<>has_more*booleannext_cursor?string|nullcurl -X GET 'https://api.rawframe.dev/v1/generations'Example Response
{ "object": "list", "data": [ { "object": "generation", "id": "gen_01jbxa3m4n5p6q7r8s9t", "model": "string", "served_by": "string", "type": "image", "mode": "text_to_image", "status": "queued", "prompt": "string", "params": { "duration_seconds": 1, "aspect_ratio": "string", "resolution": "string", "num_outputs": 1, "seed": 0, "negative_prompt": "string", "audio": true, "output_format": "png" }, "outputs": [ { "id": "string", "kind": "image", "url": "http://example.com", "url_expires_at": "2019-08-24T14:15:22Z", "content_type": "string", "width": 0, "height": 0, "duration_seconds": 0, "has_audio": true, "size_bytes": 0, "expires_at": "2019-08-24T14:15:22Z" } ], "error": { "code": "content_rejected", "message": "string", "retryable": true }, "price_estimate_micros": 0, "charge_micros": 0, "metadata": { "property1": "string", "property2": "string" }, "created_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z" } ], "has_more": true, "next_cursor": "string"}Retrieve a generation GET
Output URLs are freshly signed on every call and expire after `outputs[].url_expires_at`.
Stream generation status (SSE) GET
Server-Sent Events. The first event is the current state; the stream closes after a terminal event. Each `data:` payload is a `GenerationEvent` JSON object.